Renew a customer's service and generate an invoice.

Renew a customer's existing service. This endpoint generates a new invoice for the renewal and returns an `invoiceId` for subsequent calls, such as sending the invoice via email.

Billing & Payments Billing

Context

Where to get IDs / values

Workflow links

Path Parameters

accountId integer · min: 1 required Example: 20000

Unique account identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.info array<string> required · Example: ["Invoice sent to client","Invoice generated"]
data.invoiceId string required · Example: 49961
data.message string required · Example: Renewal invoice generated successfully

Human-readable message.

data.raw object required
data.raw.call string required · Example: generateNextInvoice
data.raw.info array<string> required · Example: ["Invoice sent to client","Invoice generated"]
data.raw.invoice_id string required · Example: 49961
data.raw.server_time integer required · Example: 1768288786
data.raw.success boolean required · Example: true

True for successful responses.

data.serviceType string required · Example: 3
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: Could not refresh pricing for this service. Please try again later.

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/services/{accountId}/renew
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/services/20000/renew" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "invoiceId": "49961",
    "message": "Renewal invoice generated successfully",
    "info": [
      "Invoice sent to client",
      "Invoice generated"
    ],
    "serviceType": "3",
    "raw": {
      "success": true,
      "invoice_id": "49961",
      "call": "generateNextInvoice",
      "server_time": 1768288786,
      "info": [
        "Invoice sent to client",
        "Invoice generated"
      ]
    }
  }
}